curl --request POST \
--url https://api.raul.ugps.io/api/v1/client_father/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fatherName": "Empresa Matriz SA",
"fantasyName": "<string>",
"rut": "12.345.678-9",
"email": "contacto@empresa.cl",
"phone": "<string>",
"linkedinUrl": "<string>",
"linkedinSummary": "<string>",
"paymentTerms": 10,
"factura": true,
"ordenCompra": true,
"requiresHes": true,
"childrenIds": [
"uuid1",
"uuid2"
]
}
'import requests
url = "https://api.raul.ugps.io/api/v1/client_father/create"
payload = {
"fatherName": "Empresa Matriz SA",
"fantasyName": "<string>",
"rut": "12.345.678-9",
"email": "contacto@empresa.cl",
"phone": "<string>",
"linkedinUrl": "<string>",
"linkedinSummary": "<string>",
"paymentTerms": 10,
"factura": True,
"ordenCompra": True,
"requiresHes": True,
"childrenIds": ["uuid1", "uuid2"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fatherName: 'Empresa Matriz SA',
fantasyName: '<string>',
rut: '12.345.678-9',
email: 'contacto@empresa.cl',
phone: '<string>',
linkedinUrl: '<string>',
linkedinSummary: '<string>',
paymentTerms: 10,
factura: true,
ordenCompra: true,
requiresHes: true,
childrenIds: ['uuid1', 'uuid2']
})
};
fetch('https://api.raul.ugps.io/api/v1/client_father/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"idFather": "<string>",
"fatherName": {},
"fantasyName": {},
"rut": {},
"email": {},
"phone": {},
"linkedinUrl": {},
"linkedinSummary": {},
"paymentTerms": {},
"factura": {},
"ordenCompra": {},
"requiresHes": {},
"createdAt": {},
"updatedAt": {},
"clientsChildrens": [
{
"clientId": "<string>",
"clientName": {},
"rut": {},
"typeOfContractId": {},
"sellerId": {},
"sellerName": {}
}
],
"contacts": [
{
"contactId": "<string>",
"contactName": {},
"phone": {},
"email": {},
"rol": {}
}
],
"contactList": [
{
"contactId": "<string>",
"contactName": {},
"phone": {},
"email": {},
"rol": {}
}
]
}Crear un nuevo cliente padre
Operacion: Crear un nuevo cliente padre.
Authorizations
Token de sesión Better Auth para rutas de backoffice; las rutas de portal usan su token propio.
Body
Nombre del cliente padre
"Empresa Matriz SA"
Nombre de fantasía
RUT
"12.345.678-9"
"contacto@empresa.cl"
Teléfono
URL de LinkedIn de la empresa matriz
Resumen del perfil de LinkedIn
Plazo de pago en días
Requiere factura
Requiere orden de compra
Requiere HES
IDs de clientes hijos a asociar
["uuid1", "uuid2"]
Response
Cliente padre creado exitosamente
ID del cliente padre
Nombre del cliente padre
Nombre de fantasía
RUT
Teléfono
URL de LinkedIn de la empresa matriz
Resumen del perfil de LinkedIn
Plazo de pago en días
Requiere factura
Requiere orden de compra
Requiere HES
Fecha de creación
Fecha de actualización
Lista de clientes hijos
Show child attributes
Show child attributes
Lista de contactos asociados a la empresa matriz
Show child attributes
Show child attributes
Alias legacy para contactos asociados a la empresa matriz
Show child attributes
Show child attributes